Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76992 - ERROR: ORDER BY expressions must appear in target lis
Summary: ERROR: ORDER BY expressions must appear in target lis
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Test
Version: 2.17
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-30 19:04 UTC by giulioo
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-30 19:04:35 UTC


Attachments (Terms of Use)

Description giulioo 2002-10-30 19:04:29 UTC
https://bugzilla.redhat.com/rh-bugzilla-rc1/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&component=Kernel&component=kernel&component=kernel-pcmcia-cs&component=kernel-utils&component_text=&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&bugidtype=include&bug_id=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Last+Changed&field0-0-0=noop&type0-0-0=noop&value0-0-0=

Please stand by ...
Content-type: text/html
Software error:

SELECT DISTINCT bugs.bug_id, bugs.bug_severity, bugs.priority,
bugs.rep_platform, map_assigned_to.login_name, bugs.bug_status, bugs.resolution,
bugs.short_desc FROM bugs LEFT JOIN bug_group_map  ON bug_group_map.bug_id =
bugs.bug_id  LEFT JOIN cc ON cc.bug_id = bugs.bug_id  , profiles AS
map_assigned_to, components components_  WHERE bugs.assigned_to =
map_assigned_to.userid AND components_.id = bugs.component_id AND
bugs.component_id = components_.id AND (components_.name = 'Kernel' OR
components_.name = 'kernel' OR components_.name = 'kernel-pcmcia-cs' OR
components_.name = 'kernel-utils') AND (bugs.bug_status = 'NEW' OR
bugs.bug_status = 'ASSIGNED' OR bugs.bug_status = 'REOPENED') AND
(components_.name = 'Kernel' OR components_.name = 'kernel' OR components_.name
= 'kernel-pcmcia-cs' OR components_.name = 'kernel-utils') AND
((bug_group_map.group_id IS NULL) ) GROUP BY
bugs.bug_id,bugs.bug_id,bugs.bug_severity,bugs.priority,bugs.rep_platform,map_assigned_to.login_name,bugs.bug_status,bugs.resolution,bugs.short_desc
ORDER BY bugs.delta_ts, bugs.bug_status, bugs.priority,
map_assigned_to.login_name, bugs.bug_id : ERROR:  For SELECT DISTINCT, ORDER BY
expressions must appear in target list at globals.pl line 288.

For help, please send mail to the webmaster (bugzilla@redhat.com), giving this
error message and the time and date of the error.

Comment 1 David Lawrence 2002-12-02 05:58:35 UTC
Please reopen this if this problem still occurs in latest code.

https://bugzilla.redhat.com/rh-bugzilla-rc2


Note You need to log in before you can comment on or make changes to this bug.